Bug 857349 - [abrt] gnome-shell-3.5.91-1.fc18: app_load_events: Process /usr/libexec/gnome-shell-calendar-server was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.5.91-1.fc18: app_load_events: Process /usr/libexec/gnome...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:0c643dad320937277b1d80c1500...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 03:47 EDT by Abhay
Modified: 2014-02-13 17:01 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (11.45 KB, text/plain)
2012-09-14 03:47 EDT, Abhay
no flags Details
File: environ (1005 bytes, text/plain)
2012-09-14 03:47 EDT, Abhay
no flags Details
File: backtrace (89.74 KB, text/plain)
2012-09-14 03:47 EDT, Abhay
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-14 03:47 EDT, Abhay
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-14 03:48 EDT, Abhay
no flags Details
File: maps (56.58 KB, text/plain)
2012-09-14 03:48 EDT, Abhay
no flags Details
File: dso_list (11.95 KB, text/plain)
2012-09-14 03:48 EDT, Abhay
no flags Details
File: var_log_messages (359 bytes, text/plain)
2012-09-14 03:48 EDT, Abhay
no flags Details
File: open_fds (535 bytes, text/plain)
2012-09-14 03:48 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-09-14 03:47:39 EDT
Version-Release number of selected component:
gnome-shell-3.5.91-1.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-shell-calendar-server
crash_function: app_load_events
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 app_load_events at calendar-server/gnome-shell-calendar-server.c
: #1 _g_closure_invoke_va at gclosure.c
: #4 calendar_sources_registry_source_removed_cb at calendar-server/calendar-sources.c
: #5 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c
: #6 _g_closure_invoke_va at gclosure.c
: #9 source_registry_remove_source at e-source-registry.c
: #10 source_registry_object_removed_idle_cb at e-source-registry.c
: #14 g_main_context_iteration at gmain.c
: #15 e_gdbus_proxy_call_sync at e-gdbus-templates.c
: #16 e_gdbus_proxy_call_sync_boolean__void at e-gdbus-templates.c
Comment 1 Abhay 2012-09-14 03:47:44 EDT
Created attachment 612754 [details]
File: core_backtrace
Comment 2 Abhay 2012-09-14 03:47:46 EDT
Created attachment 612755 [details]
File: environ
Comment 3 Abhay 2012-09-14 03:47:56 EDT
Created attachment 612756 [details]
File: backtrace
Comment 4 Abhay 2012-09-14 03:47:59 EDT
Created attachment 612757 [details]
File: limits
Comment 5 Abhay 2012-09-14 03:48:02 EDT
Created attachment 612758 [details]
File: cgroup
Comment 6 Abhay 2012-09-14 03:48:09 EDT
Created attachment 612760 [details]
File: maps
Comment 7 Abhay 2012-09-14 03:48:12 EDT
Created attachment 612761 [details]
File: dso_list
Comment 8 Abhay 2012-09-14 03:48:15 EDT
Created attachment 612762 [details]
File: var_log_messages
Comment 9 Abhay 2012-09-14 03:48:19 EDT
Created attachment 612763 [details]
File: open_fds
Comment 10 Stef Walter 2012-09-20 07:23:47 EDT
Caused by /usr/libexec/evolution-calendar-factory process exiting.

backtrace_rating: 4
Package: gnome-shell-3.5.91-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Louis van Dyk 2012-10-20 19:12:21 EDT
Evolution was shut down (using IMAP+ and Exchange EWS).  I wanted to give it a complete clean restart. Te following happened:
[louis@localhost ~]$ /usr/libexec/evolution/3.6/killev
Could not find Evolution's process ID
[louis@localhost ~]$ ps ax | grep evo
 1349 ?        Sl     0:02 /usr/libexec/evolution/3.6/evolution-alarm-notify
 1458 ?        SLl    0:02 /usr/libexec/evolution-source-registry
 1473 ?        Sl     0:01 /usr/libexec/evolution-calendar-factory
 1521 ?        Sl     0:00 /usr/libexec/evolution-addressbook-factory
 4932 pts/0    S+     0:00 grep --color=auto evo
[louis@localhost ~]$ pkill evolution
[louis@localhost ~]$ ps ax | grep evo
 4935 ?        Sl     0:00 /usr/libexec/evolution-calendar-factory
 4941 ?        SLl    0:00 /usr/libexec/evolution-source-registry
 4950 pts/0    S+     0:00 grep --color=auto evo
[louis@localhost ~]$ pkill evolution
[louis@localhost ~]$ ps ax | grep evo
 4960 ?        Sl     0:00 /usr/libexec/evolution-calendar-factory
 4966 ?        SLl    0:00 /usr/libexec/evolution-source-registry
 4991 pts/0    S+     0:00 grep --color=auto evo
[louis@localhost ~]$ kill 4960
[louis@localhost ~]$ kill 4966
[louis@localhost ~]$ ps ax | grep evo
 5012 ?        Sl     0:00 /usr/libexec/evolution-calendar-factory
 5018 ?        SLl    0:00 /usr/libexec/evolution-source-registry
 5030 pts/0    S+     0:00 grep --color=auto evo
[louis@localhost ~]$ ps ax | grep evo
 5012 ?        Sl     0:00 /usr/libexec/evolution-calendar-factory
 5018 ?        SLl    0:00 /usr/libexec/evolution-source-registry
 5047 pts/0    S+     0:00 grep --color=auto evo
[louis@localhost ~]$

After the last 'ps' the ABRT occurred.  I did find that the evolution-calendar-factory DID quit after the ABRT crash happened.


backtrace_rating: 4
Package: gnome-shell-3.6.1-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Wolfgang Pirker 2012-11-16 15:23:22 EST
I tried to import a evolution archive in Evolution, but I don't really if it is related to this. 
The import of evolution archives seems to be broken in Evolution.


backtrace_rating: 4
Package: gnome-shell-3.6.2-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 Gerhard Dekker 2012-11-28 17:19:05 EST
no idea

backtrace_rating: 4
Package: gnome-shell-3.6.2-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Reinout van Schouwen 2013-01-24 18:26:45 EST
I cancelled the Google account authentication dialog.

backtrace_rating: 4
Package: gnome-shell-3.6.2-6.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 15 Matthew Saltzman 2013-03-03 18:04:59 EST
Evolution hangs on exit (using the File pulldown menu and selecting Exit).  This seesm to occur reliably these days.  The crash occurs when I issue 'evolution --force-shutdown' from a terminal.
Comment 16 Juris Krumins 2013-04-15 10:42:40 EDT
Same problem as for  Matthew Saltzman.
Comment 17 Michael Catanzaro 2013-06-01 19:33:32 EDT
(In reply to Wolfgang Pirker from comment #12)
> I tried to import a evolution archive in Evolution, but I don't really if it
> is related to this. 
> The import of evolution archives seems to be broken in Evolution.
> 
> 
> backtrace_rating: 4
> Package: gnome-shell-3.6.2-2.fc18
> OS Release: Fedora release 18 (Spherical Cow)

Happened to me when restoring Evolution data from a backup.  gnome-shell-3.6.3.1-1.fc18
Comment 18 Daniel Demus 2013-06-10 09:44:52 EDT
I get this regularly whe evolution hangs with a number of unkillable "Unknown background process" in the status bar. I get this crash report when I force-shutdown.
Comment 19 Santosh Krishnamurthy 2013-10-17 08:13:42 EDT
buyg

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-shell-calendar-server
crash_function: app_load_events
executable:     /usr/libexec/gnome-shell-calendar-server
kernel:         3.10.14-100.fc18.x86_64
package:        gnome-shell-3.6.3.1-2.fc18
reason:         Process /usr/libexec/gnome-shell-calendar-server was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Fedora End Of Life 2013-12-21 03:52:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 07:11:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.